免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
12下一页
最近访问板块 发新帖
查看: 8242 | 回复: 10

[系统管理] 求助。CentOS 6.0安装Oracle报错,需要glibc-2.5-42的rpm包,光盘版本比这个低 [复制链接]

论坛徽章:
0
发表于 2012-04-25 17:27 |显示全部楼层
先描述一下正常安装,安装Oracle软件到83%的时候会报错:


Error in invoking target‘install’of makefile‘/opt/oracle/product/10.2/ctx/lib/ins_ctx.mk’. See‘/opt/oracle/oraInvertory/logs/installActions2011-09-19_04-00-35PM.log’for details.

网上说查询metalink发现对于glibc-devel需要32位的包,详细信息参考metalink文档ID 786995.1:
[root@YPJG Server]# rpm --all --query --queryformat "%{NAME}-%{VERSION}-%{RELEASE}-(%{ARCH})\n" | grep glibc
glibc-2.5-42-(x86_64)
glibc-2.5-42-(i686)
glibc-common-2.5-42-(x86_64)
glibc-devel-2.5-42-(x86_64)
glibc-headers-2.5-42-(x86_64)
[root@YPJG Server]# rpm -ivh glibc-devel-2.5-42.i386.rpm


CentOS 6.0光盘里的glibc包如下,没有glibc-2.5-42的包,比这个版本低啊

./Packages/glibc-devel-2.12-1.7.el6.i686.rpm
./Packages/glibc-2.12-1.7.el6.i686.rpm
./Packages/glibc-2.12-1.7.el6.x86_64.rpm
./Packages/glibc-common-2.12-1.7.el6.x86_64.rpm
./Packages/glibc-devel-2.12-1.7.el6.x86_64.rpm
./Packages/glibc-headers-2.12-1.7.el6.x86_64.rpm
./Packages/glibc-utils-2.12-1.7.el6.x86_64.rpm


哪里由相关的rpm包,rpmfind和rpmseek我都没找到要的包。
哪里能下载?下完了安装时有没有验证码的问题?

另外,我的vmware虚拟机,如何能yum上官网直接拿包?
网卡配了一下,不行。。。新手求助!

论坛徽章:
0
发表于 2012-04-25 21:21 |显示全部楼层
大等等等等等等等等

论坛徽章:
0
发表于 2012-04-25 21:33 |显示全部楼层

论坛徽章:
381
CU十二周年纪念徽章
日期:2014-01-04 22:46:58CU大牛徽章
日期:2013-03-13 15:32:35CU大牛徽章
日期:2013-03-13 15:38:15CU大牛徽章
日期:2013-03-13 15:38:52CU大牛徽章
日期:2013-03-14 14:08:55CU大牛徽章
日期:2013-04-17 11:17:19CU大牛徽章
日期:2013-04-17 11:17:32CU大牛徽章
日期:2013-04-17 11:17:37CU大牛徽章
日期:2013-04-17 11:17:42CU大牛徽章
日期:2013-04-17 11:17:47CU大牛徽章
日期:2013-04-17 11:17:52CU大牛徽章
日期:2013-04-17 11:17:56
发表于 2012-04-25 21:53 |显示全部楼层
光盘是2.12,比2.5版本高啊.

论坛徽章:
0
发表于 2012-04-25 22:04 |显示全部楼层
2.12比2。5高,但是还是不行啊。。

论坛徽章:
4
CU大牛徽章
日期:2013-03-13 15:29:07CU大牛徽章
日期:2013-03-13 15:29:49CU大牛徽章
日期:2013-03-13 15:30:192015年迎新春徽章
日期:2015-03-04 09:57:09
发表于 2012-04-26 01:20 |显示全部楼层
安装上了不行?  建议楼主去看看oracle的官方文档

论坛徽章:
0
发表于 2012-04-26 06:55 |显示全部楼层
本帖最后由 bigtooth2006 于 2012-04-26 06:57 编辑

Oracle哪个版本?我装11g的时候用的glibc-2.3.9.4-2.19,glibc-common-2.3.9.4-2.19,glibc-devel-2.3.9.4-2.19这三个包,正常安装oracle啊,glibc可以到ftp://ftp.gnu.org/gnu/glibc/下载

论坛徽章:
2
酉鸡
日期:2014-02-19 09:11:08摩羯座
日期:2014-05-23 10:16:16
发表于 2012-04-26 09:11 |显示全部楼层
host-only 和bridge都能上网的,要看你的网络环境,一般make gcc  openmotif binutils这几个包吧还有一些依赖包

论坛徽章:
7
双子座
日期:2013-09-09 15:55:31CU大牛徽章
日期:2013-09-18 15:22:06CU大牛徽章
日期:2013-09-18 15:22:20CU大牛徽章
日期:2013-09-18 15:22:26CU大牛徽章
日期:2013-09-18 15:22:31CU大牛徽章
日期:2013-09-18 15:22:37CU大牛徽章
日期:2013-09-18 15:22:46
发表于 2012-04-26 15:31 |显示全部楼层
6.2安装ORACLE没啥问题,你包得装全,那些ORACLE要求的包。你都检查下顺便安装32位的库文件。

论坛徽章:
0
发表于 2012-05-02 09:52 |显示全部楼层
最后改centos6.2+oracle11gR2成功了
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

SACC2019中国系统架构师大会

【数字转型 架构演进】SACC2019中国系统架构师大会,8.5折限时优惠重磅来袭!
2019年10月31日~11月2日第11届中国系统架构师大会(SACC2019)将在北京隆重召开。四大主线并行的演讲模式,1个主会场、20个技术专场、超千人参与的会议规模,100+来自互联网、金融、制造业、电商等领域的嘉宾阵容,将为广大参会者提供一场最具价值的技术交流盛会。

限时8.5折扣期:2019年9月30日前


----------------------------------------

大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP